自 2026 年 4 月 20 日起,BigLake 现在称为 Lakehouse for Apache Iceberg。BigLake metastore 现已更名为 Lakehouse 运行时目录。Lakehouse API、客户端库、CLI 命令和 IAM 名称保持不变,仍引用 BigLake。
Google 会使用 AI 技术将内容翻译成您偏好的语言。AI 翻译可能包含错误。
Method: hive.v1beta.projects.catalogs.databases.tables.partitions.list
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
HTTP 请求
GET https://biglake.googleapis.com/hive/v1beta/{parent=projects/*/catalogs/*/databases/*/tables/*}/partitions:list
网址采用 gRPC 转码语法。
路径参数
| 参数 |
parent |
string
必需。相应分区所属的表的引用,格式为 projects/{project}/catalogs/{catalogs}/databases/{database}/tables/{table}。
|
查询参数
| 参数 |
filter |
string
可选。SQL 文本过滤语句,类似于查询中的 WHERE 子句。仅支持单行表达式。不支持聚合函数。 示例:* "int_field > 5" * "date_field = CAST('2014-9-27' as DATE)" * "nullable_field is not NULL" * "st_equals(geo_field, st_geofromtext("POINT(2, 2)"))" * "numeric_field BETWEEN 1.0 AND 5.0" 长度上限为 1 MB。
|
响应正文
针对 partitions.list 的响应消息。
如果成功,响应正文将包含结构如下的数据:
| JSON 表示法 |
{
"partitions": [
{
object (Partition)
}
]
} |
| 字段 |
partitions[] |
object (Partition)
仅限输出。分区列表。
|
授权范围
需要以下 OAuth 范围之一:
https://www.googleapis.com/auth/bigquery
https://www.googleapis.com/auth/cloud-platform
如需了解详情,请参阅 Authentication Overview。
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2026-05-28。
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["很难理解","hardToUnderstand","thumb-down"],["信息或示例代码不正确","incorrectInformationOrSampleCode","thumb-down"],["没有我需要的信息/示例","missingTheInformationSamplesINeed","thumb-down"],["翻译问题","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2026-05-28。"],[],[]]